

import pageSetting from './pageSetting';
import React, { Component, Fragment } from 'react';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import List from '../ApplyPage/List';
import ListTab from './ListTab';
import { deepCopy } from '@/baseComponent/utils';
import { getApplyPage, getHandledPage, getWaitPage } from '@/pages/App/FormInsertDiy/AffairPage/publicApiService';

export default class AuditPage extends Component {
  constructor(props) {
    super(props);
    this.state={
    }
  };

  componentDidMount(){
  }

  handleButtonSet = () => {
    const { addFields, workId } = this.props;
    return {
      tab1: [
      ],
      tab2: [],
    };
  };

  handleSearchSet = () => {
    const { columns, searchCondition} = this.props;
    const tab1 =  {
      search: {
        field: {
        },
        getPageService: getWaitPage,
        responseCallBack: (response) => {
          return response;
        },
        condition: searchCondition,
        nameSpan: { big: 8, small: 9 },
        fileSpan: { big: 4, small: 4 },
      },
      tableRowKey: 'id',
      columns,
    };
    const tab2 = {
      search: {
        field: {
        },
        getPageService: getHandledPage,
        responseCallBack: (response) => {
          return response;
        },
        condition: searchCondition,
        nameSpan: { big: 8, small: 9 },
        fileSpan: { big: 4, small: 4 },
      },
      tableRowKey: 'id',
      columns,
    };
    return {
      tab1,
      tab2,
    };
  };

  render() {
    const { workId, dataBaseId, addFields } = this.props;

    return (
      <PageHeaderWrapper title="">

        <ListTab tabList={pageSetting.tabList}
                 pageButton={this.handleButtonSet({
                 })}
                 workId={workId}
                 dataBaseId={dataBaseId}
                 addFields={addFields}
                 pageSearch={this.handleSearchSet({
                 })}/>
      </PageHeaderWrapper>
    );
  }

}





